Subject: Re: bug#76180: [feature/igc] Remaining known tracing issues

From: Eli Zaretskii <[email-masked]>
Date: Fri, 14 Feb 2025 15:09:48 +0200

> Date: Fri, 14 Feb 2025 12:57:49 +0000
> From: Pip Cet <[email-masked]>
> Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
> 
> "Eli Zaretskii" <[email-masked]> writes:
> 
> >> I'm not sure what you mean: the code is generated by libgccjit.
> >
> > Oh, I didn't realize that.  If we really have no control over this,
> > then maybe a bug report against libgccjit is in order?
> 
> I think I misexpressed myself.  The problem is that libgccjit acts like
> GCC, generating new native code which may or may not use %rbp depending
> on the compiler options specified by comp.c.  Old versions of libgccjit
> had no way of passing such compiler options, but current ones do.
> 
> The question is whether we're happy appending "-fno-omit-frame-pointer",
> or whether we want to be ambitious and refuse to accept
> "-fomit-frame-pointer".

I think the former.  And maybe not to append that at the very end, so
as to leave a "fire escape" for those who, for some reasons, want to
use -fomit-frame-pointer, and presumably know what they are doing.